All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.commands.olap.export
Class OLAPExportToExcelXMLCommand

    com.sas.servlet.commands.olap.export.OLAPExportToExcelXMLCommand

All Implemented Interfaces:
  DynamicAttributeCommandInterface, OLAPExportCommandInterface, OLAPExportCommandV2Interface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class OLAPExportToExcelXMLCommand

Command to export to MS Excel multidimensional data as an MS Excel XML stream of data.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Examples for this class may be found on the Examples Site.

Since:
  3.1

Field Summary

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`OLAPExportToExcelXMLCommand()`

Method Summary
`void` | `execute(java.lang.Object o, int startRow, int nRows, boolean isRawData, boolean repeatLabels)` Executes the command
`void` | `execute(java.lang.Object o, int startRow, int nRows, boolean isRawData, boolean repeatLabels, java.lang.String[] headers, java.lang.String[] footers)` Executes the command

Methods inherited from class com.sas.servlet.commands.olap.export.BaseOLAPExportCommand
`execute, execute, execute`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Constructor Detail

### OLAPExportToExcelXMLCommand

    public OLAPExportToExcelXMLCommand()

Method Detail

### execute

    public void execute(java.lang.Object o,
                        int startRow,
                        int nRows,
                        boolean isRawData,
                        boolean repeatLabels)

  Description copied from interface: `OLAPExportCommandInterface`
  Executes the command

  Specified by:
    `execute` in interface `OLAPExportCommandInterface`
  Specified by:
    `execute` in class `BaseOLAPExportCommand`
  Parameters:
    `o` - the output object where to write the exported data to (example a `ServletResponse` or a `Writer`)
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported
    `repeatLabels` - true if the row labels have to be repeated in the exported stream when the OLAP model is expanded, false otherwise

### execute

    public void execute(java.lang.Object o,
                        int startRow,
                        int nRows,
                        boolean isRawData,
                        boolean repeatLabels,
                        java.lang.String[] headers,
                        java.lang.String[] footers)

  Description copied from interface: `OLAPExportCommandV2Interface`
  Executes the command

  Specified by:
    `execute` in interface `OLAPExportCommandV2Interface`
  Specified by:
    `execute` in class `BaseOLAPExportCommand`
  Parameters:
    `o` - the output object where to write the exported data to (example a `ServletResponse` or a `Writer`)
    `startRow` - the index (in the model) of the first row of data to export
    `nRows` - the number of rows of data to export
    `isRawData` - true if non formatted data have to be exported, false if formatted data have to be exported
    `repeatLabels` - true if the row labels have to be repeated in the exported stream when the OLAP model is expanded, false otherwise
    `headers` - the headers to export above the data, each header on a separate row
    `footers` - the footers to export below the data, each footer on a separate row

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.